/* Set the console log level. */

#include <stdio.h>
#include <stdlib.h>
#include <sys/klog.h>

int main(int argc, char **argv) {
	if (argc != 2) {
		fprintf(stderr, "Usage: setloglevel <level>\n");
		return 20;
	}
	if (klogctl(8, NULL, atoi(argv[1])) < 0) {
		fprintf(stderr, "Unable to set log level.\n");
		return 20;
	}
	return 0;
}
